#include <iostream>
#include <cmath>
using namespace std;

int napraviBroj(int a, int b) {
    int stepen = 1;
    int broj = 0;
    while (a != 0 || b != 0) {
        int ac = a % 10, bc = b % 10;
        if (ac == bc) {
            broj += ac * pow(10, stepen);
            stepen++;
            broj += ac * pow(10, stepen);
            stepen++;
        }
        else {
            broj += max(ac, bc) * pow(10, stepen);
            stepen++;
        }
        a /= 10;
        b /= 10;
    }
}

int main()
{
    int a, b;
    cin >> a >> b;
    cout << napraviBroj(a, b);
}